#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/libgnomeprintui/2.18/libgnomeprintui-2.18.5.tar.bz2
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="libgnomeprintui"
softversion="2.18.5"
packageversion="66.1"
arch="i486"
cpu="i686"
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.tgz
rm -rf $dest

cd $src
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --localstatedir=/var/lib \
    --enable-static=no

make -j4
make install DESTDIR=$dest

find $dest | xargs file | grep -e "shared object" -e "executable" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a  AUTHORS ChangeLog COPYING* INSTALL MAINTAINERS NEWS README $dest/usr/doc/$soft-$softversion
( cd $dest/usr/doc/$soft-$softversion ; ln -s /usr/share/gtk-doc/html/libgnomeprintui html )

#------------------ make a slack-desc file

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

               |-----handy-ruler--------------------------------------------------- |
libgnomeprintui: libgnomeprintui (is the GUI part of the GNOME printing libraries)
libgnomeprintui:
libgnomeprintui: Libgnomeprintui is the GUI part of the printing libraries for
libgnomeprintui: the GNOME applications.
libgnomeprintui:
libgnomeprintui:
libgnomeprintui:
libgnomeprintui:
libgnomeprintui:
libgnomeprintui:
libgnomeprintui:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion/

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5